|
楼主 |
发表于 2017-2-2 12:15:23
|
显示全部楼层
本帖最后由 tzbm123456 于 2017-2-26 21:18 编辑
| 31、@mRightLength | Length | | 计算值。 | | 32、@m_RightDepth | Length | | 设定值。 | | 33、@mRightArea | String | | 计算值。 | | 34、@m_RightMat | String | | 设定值,Material名称,新增。 | | 35、@mBottomArea | String | | 计算值。 | | 36、@m_ArcAcuracy | Length | | 设定值,弧线精度。 | | 37、@m_Hole | Array(一维数组) | 是墙洞在XOZ平面的正射投影转点坐标数组,初始化为(0,0,0) (500.mm,0,0) (500.mm,0,1200.mm) (0,0,1200.mm) | 设计赋予值 | | 38、@mHoleArr | Array(二维数组) | 墙洞实际转点坐标数组的数组 | 计算值 | | 39、@m_VtHoleHorn | Geom::Vector3d | 墙洞实际水平向量长度,方向设计时赋予,长度暂时使用XOZ平面墙洞转点组前两点的差值; | 设计赋予值 | | 40、@m_HoleBottomHeight | Length | 为墙洞的底面高度(相对于墙底面标高),初始化值为900.mm,用于直墙和弧墙; | 设计赋予值 | | 41、@m_HoleLeftOffset | Length | 墙洞相对于起点的左偏移距离(即X轴正向偏移值),初始化值为300.mm,用于直墙; | 设计赋予值 | | 42、@mMath | Math_01KJ | | 赋予值 | | 43、@mPoint1Left | Geom: oint3d | | 计算值 | | 44、@mPoint1Right | Geom: oint3d | | 计算值 | | 45、@mPoint2Left | Geom: oint3d | | 计算值 | | 46、@mPoint2Right | Geom: oint3d | | 计算值 | | 47、@mPoint3Left | Geom: oint3d | | 计算值 | | 48、@mPoint3Right | Geom: oint3d | | 计算值 | | | | | | 六、成员函数: | | | | | | (一)初始化 | | | | | 0、initialize | | | | | (二)修改输入实例变量 | | | 返回值 | | 1、m_EntityID=(m_EntityID)
和setEntityID(m_EntityID) | | | true/false | | …… | | | | | 27、m_HoleLeftOffset=(m_HoleLeftOffset)和setHoleLeftOffset=(m_HoleLeftOffset) | | | true/false | | (三)生成实体 | | | | | 28、updatePtLR() | | | | | 29、createEntity() | | | true/false | | 30、createEntityLine() | | | | | 31、createEntityArc() | | | | | (四)修改实体 | | | | | 32、ModifyEntity(keys,values) | keys:关键值数组;values:数值数组 | | true/false | | (五)设置获取属性 | 属性字典名称: | BaseAttribute | | | 33、setAttribute() | | EngineeringAttribute | 设置实体所有字典属性 | | 34、getValues(dictionary) | | SpaceAttribute | 获取字典属性值组 | | 35、getKeys(dictionary) | | | 获取字典属性关键字组 | | 36、getAttrKeyValue(dictionary,key) | | | 获取字典关键字的值 | | 37、attrLength(dictionary) | | | 计算字典属性长度 | | (六)其他 | | | | | 38、updateArguments() | | | | | 39、countWallNum() | | | | | 40、createHoleLine() | | | | | 41、createHoleArc() | | | | | 42、convertPointArr(ptArrBase,pointArr) | | | 返回文件中群组.name="墙"的实体序数,将其值赋予@m_SerialNum; | | 43、createHole() | | | 计算弧线墙段数 |
|
|